using BeatSaber_Versions.controller;
using BeatSaber_Versions.controller.helper;
using BeatSaber_Versions.ui;

namespace BeatSaber_Versions
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            if (staticHelpers.IsElevated)
            {
                getNormalBeatSaberFolder.getBSFolder();
                Storage.CC = new Config();
                Application.Run(new VersionChanger());
            }
            else
            {
                Application.Run(new NoAdmin());
            }
            
        }
    }
}